<template>
  <div>
    <div :class="color">
          <st-subtitle text="Datos de la sesión"/>
      <v-row no-gutters>
        <v-col>
          <v-row>
            <v-col md="3">
              <v-label>Nombre de la tutoría:</v-label>
            </v-col>
            <v-col md="3">
              <v-label>{{sessionName}}</v-label>
            </v-col>
            <v-col md="2">
              <v-label>Estado:</v-label>
            </v-col>
            <v-col md="4">
              <v-label>{{sessionState}}</v-label>
            </v-col>
          </v-row>
          <v-row>
            <v-col md="3">
              <v-label>Fecha de atención:</v-label>
            </v-col>
            <v-col md= "3">
              <v-label>{{sessionDate | formatDate}}</v-label>
            </v-col>
            <v-col v-if = historical md="2"></v-col>
            <v-col v-if = historical md="4" class="text-left">
             <st-secondary-btn 
             nombre="Cancelar cita" @click="Cancel" :loading = "loading" />
            </v-col>
            <v-col v-if = !historical&atendido md="2"></v-col>
            <v-col v-if = !historical&atendido md="4" class="text-left">
             
            </v-col>
            <v-col v-if= !historical&!atendido md="2">
              <v-label>Tutor:</v-label>
            </v-col>
            <v-col v-if= !historical&!atendido md="4">
              <v-label>{{tutor}}</v-label>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    sessionName: String,
    sessionDate: String,
    sessionState: String,
    color: String,
    historical : {type: Boolean, default : false} ,
    atendido: {type: Boolean, default : false},
    tutor: String,
  },
  data() {
    return {
      loading : false,
    };
  },
  methods: {
    Cancel()
    {
      this.loading = true
      this.$emit('cancel')
    }
  },
  filters: {
    formatDate: function(value){
      if(!value) return "Cargando...";
      let options = { year: 'numeric', month: 'long', day: 'numeric', hour12: 'true',timeStyle: 'short', dateStyle: 'long'}
      let d = new Date(value).toLocaleTimeString('es', options)
      return d
    }
  }
};
</script>
<style scoped lang="scss">
.font-regular {
  margin-left: auto;
  margin-right: auto;
  font-size: 12px;
  text-transform: uppercase;
  text-align: center;
}
.content-body2{
    margin-top:20px;
    padding:20px;
    background:#f2f2f28a;
    border-radius:10px;
}

</style>